Paginated endpoint — This API returns paginated results. Use the pageNumber and pageSize query parameters to control which page of results is returned. The response includes pagination metadata in the response headers. See the Pagination guide for details.
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type. |
Query Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| filter | string (string) | Optional | |
| pageSize | The number of elements to return in a page | integer (int32) | Optional |
| pageNumber | The current page number | integer (int32) | Optional |
Filters
| Filter | Description | Type | Operators |
|---|---|---|---|
| accountPeriod | AccountPeriod | equals not equals less than between greater than less than equal greater than equal | |
| batchCode | Batch Number | String | equals not equals one of like not like not one of |
| batchStatus | Batch Status | String | equals not equals one of not one of |
| billCount | Bills in Batch | Integer | equals not equals less than between one of greater than less than equal greater than equal not one of |
| controlCode | Batch Control Batch | String | equals not equals one of like not like not one of |
| duedate | Batch Due Date | String | equals not equals one of like not like not one of |
| endDate | Batch Close Date | DateTime | equals not equals less than between greater than less than equal greater than equal today yesterday last 7 days last 14 days last 30 days last 60 days last 90 days |
| fullName | String | equals not equals one of like not like not one of | |
| HasImportsWithKickout | Batch Has Imports with Kickouts | Boolean | equals |
| invoiceNumber | Batch Invoice Number | String | equals not equals one of like not like not one of |
| isOpen | Boolean | equals | |
| nextReading | Batch Next Reading Date | String | equals not equals one of like not like not one of |
| runningTotal | Batch Total Cost | Double | equals not equals less than between greater than less than equal greater than equal |
| startDate | Batch Open Date | DateTime | equals not equals less than between greater than less than equal greater than equal today yesterday last 7 days last 14 days last 30 days last 60 days last 90 days |
| statementDate | Batch Statement Date | String | equals not equals one of like not like not one of |
| systemUserCode | Batch Created By User Code | String | equals not equals one of like not like not one of |
| systemUserId | Integer | equals not equals less than between one of greater than less than equal greater than equal not one of |
Response Headers
This endpoint returns pagination metadata in the response headers.
| Header | Type | Description |
|---|---|---|
| PageNumber | integer | The current page number (1-based). |
| PageSize | integer | The maximum number of items per page. |
| TotalNumberOfRecords | integer | The total number of records matching the query across all pages. |
| TotalPages | integer | The total number of pages. Increment pageNumber until it equals this value to retrieve all results. |
See the Pagination guide for iteration examples and best practices.
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
Array of:
BatchResponse
| Property | Description | Type | ||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| accountPeriodName | Account period name batch setting | string | ||||||||||||
| accountPeriodNumber | Account period number batch setting | integer (int32) | ||||||||||||
| accountPeriodYear | Account period year batch setting | integer (int32) | ||||||||||||
| analyzingCount | Number of bills contained in this batch that are currently being analyzed | integer (int32) | ||||||||||||
| batchCode | The batch code | string | ||||||||||||
| batchId | The batch identifier | integer (int32) | ||||||||||||
| batchStatus | The status of the batch (open, pending, closed) | string | ||||||||||||
| billCount | The number of bills in this batch | integer (int32) | ||||||||||||
| controlCode | Control code batch setting | string | ||||||||||||
| createdBy | UserChild | |||||||||||||
|
UserChild properties
|
||||||||||||||
| dueDate | Due date batch setting | string | ||||||||||||
| endDate | The date when the batch was closed | string (date-time) | ||||||||||||
| flagCount | Number of unresolved flags on bills contained in this batch | integer (int32) | ||||||||||||
| hasImportedBills | Denotes if the Batch has any imported bills associated with it | boolean | ||||||||||||
| hasImportsWithKickout | Denotes if the Batch has any import task with Status = “Completed with kickouts” | boolean | ||||||||||||
| hasLogs | Denotes if the Batch has any move log events associated with it | boolean | ||||||||||||
| invoiceNumber | Invoice number batch setting | string | ||||||||||||
| isOpen | Is the batch open | boolean | ||||||||||||
| nextReading | Next reading date batch setting | string | ||||||||||||
| note | Note/comment for the batch | string | ||||||||||||
| runningTotal | The cost of all bills in this batch | number (double) | ||||||||||||
| startDate | The date when the batch was created | string (date-time) | ||||||||||||
| statementDate | Statement date batch setting | string | ||||||||||||
Example Response
[
{ "accountPeriodName": "string", "accountPeriodNumber": 1, "accountPeriodYear": 1, "analyzingCount": 1, "batchCode": "string", "batchId": 1, "batchStatus": "string", "billCount": 1, "controlCode": "string", "createdBy": { "fullName": "string", "userCode": "string", "userId": 1
}, "dueDate": "string", "endDate": "2026-03-30", "flagCount": 1, "hasImportedBills": false, "hasImportsWithKickout": false, "hasLogs": false, "invoiceNumber": "string", "isOpen": false, "nextReading": "string", "note": "string", "runningTotal": 1.0, "startDate": "2026-03-30", "statementDate": "string"
}
]